< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package githubclient
  Definition Classes
    hmrc
- APIRateLimitExceededException
- DefaultGithubClientMetrics
- ExtendedContentsService
- ExtendedGitHubClient
- ExtendedRepository
- ExtendedRepositoryService
- ExtendedTeamService
- GhOrganisation
- GhRepoRelease
- GhRepoTag
- GhRepository
- GhTeam
- GitApiConfig
- GithubApiClient
- GithubClientMetrics
- Hook
- HookConfig
- HookContentType
- HookEvent
- HookId
- HookName
- HookSecret
- HooksApi
- JavaDateTimeJsonFormatter
- Log
- NonEmptyString
- OrganisationName
- ReleaseService
- RepositoryName
- Url

o

uk.gov.hmrc.githubclient

# HookEvent 

###
Companion class HookEvent

#### object HookEvent

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. HookEvent
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val all: Set[HookEvent]
5.  def apply(names: String*): Set[HookEvent]
6.  def apply(name: String): HookEvent
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
12.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )
23.  object CheckRun extends HookEvent with Product with Serializable
24.  object CheckSuite extends HookEvent with Product with Serializable
25.  object CommitComment extends HookEvent with Product with Serializable
26.  object Create extends HookEvent with Product with Serializable
27.  object Delete extends HookEvent with Product with Serializable
28.  object Deployment extends HookEvent with Product with Serializable
29.  object DeploymentStatus extends HookEvent with Product with Serializable
30.  object Download extends HookEvent with Product with Serializable
31.  object Follow extends HookEvent with Product with Serializable
32.  object Fork extends HookEvent with Product with Serializable
33.  object ForkApply extends HookEvent with Product with Serializable
34.  object Gist extends HookEvent with Product with Serializable
35.  object GithubAppAuthorization extends HookEvent with Product with Serializable
36.  object Gollum extends HookEvent with Product with Serializable
37.  object Installation extends HookEvent with Product with Serializable
38.  object InstallationRepositories extends HookEvent with Product with Serializable
39.  object IssueComment extends HookEvent with Product with Serializable
40.  object Issues extends HookEvent with Product with Serializable
41.  object Label extends HookEvent with Product with Serializable
42.  object MarketplacePurchase extends HookEvent with Product with Serializable
43.  object Member extends HookEvent with Product with Serializable
44.  object Membership extends HookEvent with Product with Serializable
45.  object Milestone extends HookEvent with Product with Serializable
46.  object OrgBlock extends HookEvent with Product with Serializable
47.  object Organization extends HookEvent with Product with Serializable
48.  object PageBuild extends HookEvent with Product with Serializable
49.  object Project extends HookEvent with Product with Serializable
50.  object ProjectCard extends HookEvent with Product with Serializable
51.  object ProjectColumn extends HookEvent with Product with Serializable
52.  object Public extends HookEvent with Product with Serializable
53.  object PullRequest extends HookEvent with Product with Serializable
54.  object PullRequestReview extends HookEvent with Product with Serializable
55.  object PullRequestReviewComment extends HookEvent with Product with Serializable
56.  object Push extends HookEvent with Product with Serializable
57.  object Release extends HookEvent with Product with Serializable
58.  object Repository extends HookEvent with Product with Serializable
59.  object RepositoryImport extends HookEvent with Product with Serializable
60.  object RepositoryVulnerabilityAlert extends HookEvent with Product with Serializable
61.  object Status extends HookEvent with Product with Serializable
62.  object Team extends HookEvent with Product with Serializable
63.  object TeamAdd extends HookEvent with Product with Serializable
64.  object Watch extends HookEvent with Product with Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped